Page MenuHomePhabricator

Provide a way to curate and fetch titles (short descriptions) for media files
Closed, ResolvedPublic

Description

Currently, Commons (and MediaWiki in general) does not have the concept of an image title / short description, which could be used as a short caption or part of a credit line. We have several things that are somewhat similar but they all have serious deficiencies:

  • file name: monolingual, tends to be either uninformative (because the uploader has chosen it poorly and renaming is too much effort), extremely long, or both. Also needs to be unique which often results in the inclusion of sequence numbers or irrelevant details.
  • Commons description: almost always extremely long, can contain complex HTML.
  • image caption: monolingual, can be long or contain complex HTML, sometimes it's not really about the image.
  • Commons {{Artwork}} or {{Book}} template title field: only available for a tiny fraction of images, sometimes not exactly a title but an unstructured mess of e.g. all the titles the image is known under
  • Wikidata title: only available for a tiny fraction of images

It would be nice to have a dedicated title field which is 1) short enough that it can be used in various concise contexts (the two main ones being one-liner image credit and a minimal informative thumbnail caption).

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Tgr created this task.Dec 23 2015, 11:51 PM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added a subscriber: Tgr.
Restricted Application added projects: Multimedia, Wikidata. · View Herald TranscriptDec 23 2015, 11:51 PM
Restricted Application added subscribers: StudiesWorld, Steinsplitter, Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptDec 23 2015, 11:52 PM
RP88 added a subscriber: RP88.Dec 24 2015, 1:00 AM

I think the word you're looking for is "caption". :)

This is pretty much one of the things structured data for Commons with the help of Wikidata is about. Let's please not implement a separate/competing mechanism.

The description seems to make a wrong assumption: Wikidata itself does not store data about files. So there is no data about individual files and will not be. What is there is items about artworks (which might have a scan on Commons). Those are different concepts and they will be kept separate. Structured data for Commons means we're going to keep the data stored on Commons itself right with the image.

Tgr added a comment.Dec 28 2015, 3:50 AM

This is pretty much one of the things structured data for Commons with the help of Wikidata is about. Let's please not implement a separate/competing mechanism.

Yeah, that's why it is marked as a blocker.

The description seems to make a wrong assumption: Wikidata itself does not store data about files.

"Wikidata title" refers to the option of using the Wikidata title for images which have an associated Wikidata item (famous artworks and such). That would be the most correct one of the currently available options but the fraction of images for which it would be available is so tiny that it's not worth doing.

zhuyifei1999 moved this task from Incoming to Backlog on the Commons board.Jan 2 2016, 6:39 AM
MarkTraceur triaged this task as Normal priority.Jan 11 2016, 2:10 PM
MarkTraceur added a subscriber: MarkTraceur.
Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptOct 4 2016, 9:53 AM
MarkTraceur moved this task from Untriaged to Tracking on the Multimedia board.Dec 5 2016, 10:06 PM
Abit added a subscriber: Abit.May 9 2019, 9:10 PM

I feel like SDC captions satisfies the use cases in the task description. Can we close this task?

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMay 9 2019, 9:10 PM
Tgr closed this task as Resolved.May 9 2019, 9:57 PM
Tgr assigned this task to Abit.

Yay!

(For those not familiar with SDC, see mw:Help:File captions and Commons:File captions.)